(function() {
	'use strict';

	angular
		.module('barebone.busseat', [
			'ionic',
			'ngCordova',
			'barebone.common'
		])
		.config(function($stateProvider) {
			$stateProvider
				.state('app.busseat', {
					cache: false,
					url: '/busseat/:busId/:seatId',
					views: {
						'menuContent': {
							templateUrl: 'scripts/busseat/busseat.html',
							controller: 'BusseatController as vm',
							resolve: {
					                  bookingMap: ['$stateParams','$rootScope','busService', function ($stateParams,$rootScope,busService) {
					                        
					                        return busService.getSeatblocked($stateParams.busId,$stateParams.seatId,$rootScope.searchResult.traveldate)
												  	.then(function(seats) {
												  		return seats;
												  	});
					                    }],
					                   bus: ['$stateParams', 'busService', function ($stateParams, busService) {
					                        return busService.get($stateParams.busId);
					                    }]
					              }
						}
					}
				});
		});
})();