(function() {
	'use strict';

	angular
		.module('barebone.home', [
			'ionic',
			'ngCordova',
			'barebone.common'
		])
		.config(function($stateProvider) {
			$stateProvider
				.state('app.home', {
					url: '/home',
					views: {
						'menuContent': {
							templateUrl: 'scripts/home/home.html',
							controller: 'HomeController as vm'
						}
					}
				})
				.state('app.searchticket', {
					url: '/searchticket',
					views: {
						'menuContent': {
							templateUrl: 'scripts/home/searchticket.html',
							controller: 'SearchController as vm'
						}
					}
				});
		});
})();