(function() {
	'use strict';

	angular
		.module('barebone.page')
		.controller('TncController', TncController);

	TncController.$inject = [
		'$scope',
		'pageService',
		'AppDB',
		'$timeout',
		'$state',
		'$rootScope',
		'$sce',
		'motion'
	];

	/* @ngInject */
	function TncController(
		$scope, pageService,AppDB, $timeout,$state,$rootScope,$sce,motion) {

		var vm = angular.extend(this, {
			title : $rootScope.appLang.tnc,
			page  :  ''
		});

		motion.expandHeader();
		// ******************************************************
		// var tempList = AppDB.get('app.tnc');
		// vm.page  = JSON.parse(tempList.data).result;
		pageService.getTnc()
			.then(function(data) {
				vm.page = $sce.trustAsHtml(zg2uni(data));
			});
	}
})();