'use strict';
angular.module('seatMap', [])

.directive('jqSeats', ['$rootScope',function($rootScope) {

	return {
		  	restrict: 'EA',
    		templateUrl: 'scripts/busseat/seatcontainer.html',
		    link: function(scope, elem, attrs) {

		    	  var userInfo = scope.$parent.vm.userInfo;
		    	  var seat_plan = scope.$parent.vm.seat_plan;
		    	  var reserved_seat = seat_plan.reserved_seat;

				  var total_seat_count = 0 ;
		          var num = 0 ;
		          var newcol = 0 ;
				  var firstSeatLabel = 1;
				  var prefix = seat_plan.seat.prefix;
			      var newrow = 0; 
			      var seat_row = seat_plan.seat.col;
			      var max = (seat_plan.first + seat_plan.second) * 10;

			      var adult = parseFloat(seat_plan.adult);
			      var price = parseFloat(seat_plan.price);
			      var seatmap = seat_plan.seat.seatMap;

			      var main_ele = $(elem[0]['children'][0]['children']);
			      var legend_ele = $(elem[0]['children'][2]['children'][0]);
				  var sc = main_ele.seatCharts({
	                    map  : seatmap,
	                    seats: {
	                        s: {
	                            price: price,
	                            classes: 'economy-class', //your custom CSS class
	                            category: ''
	                        },
	                        u: {
	                            classes : 'for-user'
	                        }
	                    },
	                    naming: {
	                        top: false,
	                        getLabel: function (character, row, column) {
	                            if (prefix == 'numeric-4') {

	                                if (column == 1 || column == 2) {
	                                    return firstSeatLabel++;
	                                }
	                                if (column == 4 || column == 5) {
	                                    return max--;
	                                }

	                            }
	                            else if (prefix == 'numeric-5'){
	                                if( column == 1 ){
	                                    return  ( firstSeatLabel++  + 3) ;
	                                }

	                                if( column == 2 ){
	                                    return  ( firstSeatLabel++  + 1) ;
	                                }

	                                if( column == 3 ){
	                                    num = 1 ;
	                                    return  ( firstSeatLabel++  + 2) ;
	                                }

	                                if( column == 4 ){
	                                    return  ( firstSeatLabel++  - ( 1 + num )) ;
	                                }

	                                if( column == 5 ){
	                                    return  ( firstSeatLabel++  - ( 3 + num ) ) ;
	                                }
	                            }
	                            else if (prefix == 'A-2'){
	                                var yarzartun_prefix = 'A'.charCodeAt();
	                                if (newrow != row) {
	                                    newcol = 0;
	                                }
	                                newcol++;
	                                newrow = row;
	                                if(row == 13){
	                                    return 'J'+String.fromCharCode(yarzartun_prefix + newcol - 1);
	                                }
	                                return row + String.fromCharCode(yarzartun_prefix + newcol - 1);
	                            }
	                            else if (prefix == 'numeric-L') {

                                    if(row == seat_row){
                                        return firstSeatLabel++;
                                    }else{
                                        if(row == ( seat_row - 1 )){
                                            if( column == 1 ){
                                                return  ( firstSeatLabel++  - 1) ;
                                            }

                                            if( column == 2 ){
                                                return  ( firstSeatLabel++  - 1) ;
                                            }

                                            if( column == 4 ){
                                                return  ( firstSeatLabel++ ) ;
                                            }
                                            return firstSeatLabel++;
                                        }else{
                                            if( column == 1 ){
                                                return  ( firstSeatLabel++  - 1) ;
                                            }

                                            if( column == 2 ){
                                                return  ( firstSeatLabel++  - 1) ;
                                            }

                                            if( column == 4 ){
                                                num = 2 ;
                                                return  ( firstSeatLabel++  + num) ;
                                            }
                                            return firstSeatLabel++;
                                        }
                                    }
                                }
	                            else if (parseInt(prefix) == 1) {

	                                return firstSeatLabel++;

	                            }
		                        else if (prefix == 'numeric-3') {

	                                if (column == 1 || column == 2) {
	                                    return firstSeatLabel++;
	                                }

	                                if(column == 3){
	                                    num = 1;
	                                    return  ( firstSeatLabel++  + 2 ) ;
	                                }

	                                if( column == 4 ){
	                                    return  ( firstSeatLabel++  + 1 ) - num ;
	                                }

	                                if( column == 5 ){
	                                    return  ( firstSeatLabel++  - 1 ) - num ;
	                                }

	                            }
	                            else{
	                                if (newrow != row) {
	                                    newcol = 0;
	                                }
	                                newcol++;
	                                newrow = row;
	                                return String.fromCharCode(prefix.charCodeAt() + row - 1) + newcol;
	                            
	                            }
	                        }
	                    },
	                    legend: {
	                        node: legend_ele,
	                        items: [
	                            ['s', 'available', scope.$parent.appLang.seat_avaliable ],
	                            // ['b', 'selected', 'Selected Seat(ေရြးခ်ယ္ထားေသာခံု)'],
	                            ['r', 'booking', scope.$parent.appLang.seat_booking ],
	                            ['a', 'booked', scope.$parent.appLang.seat_booked ],
	                            ['f', 'unavailable', scope.$parent.appLang.disabled_seat],
	                            ['ma', 'male', scope.$parent.appLang.male],
	                            ['fe', 'female', scope.$parent.appLang.female],
	                            ['gr', 'group', scope.$parent.appLang.group],
	                            ['mo', 'monk', scope.$parent.appLang.monk]
	                        ]
	                    },
	                    click: function () {
	                       	var selected_seat = $rootScope.selected_seat;
	                        var seat_no = $rootScope.seat_no;
	                        var adult = scope.$parent.vm.adult;
	                        var counter = parseInt(scope.$parent.vm.counter);

	                        $(elem[0]['children'][1]).html("");

	                        if (this.status() == 'available' || this.status() == 'for-user') {

	                            if(adult == counter){
	                                $(elem[0]['children'][1]).html("Your can select only "+ adult +" seat(s) for your booking.<br><br>");
	                                return 'available';
	                            }else{

	                                selected_seat += this.settings.id + ",";

	                                seat_no += this.settings.label + ",";

	                                var vmcounter = sc.find('selected').length+1;

	                                $rootScope.selected_seat = selected_seat;
									$rootScope.seat_no = seat_no;
									$rootScope.counter = vmcounter;

									scope.$apply(function(){
		                                   scope.$parent.vm.counter = vmcounter;
								    });

	                                return 'selected';
	                            }

	                        } else if (this.status() == 'selected') {

	                            var removeMap = this.settings.id + ",";
	                            selected_seat = selected_seat.replace(removeMap,'');

	                            removeMap = this.settings.label + ",";
	                            seat_no = seat_no.replace(removeMap,'');

	                            var vmcounter = sc.find('selected').length+1;

	                            $rootScope.selected_seat = selected_seat;
								$rootScope.seat_no = seat_no;
								$rootScope.counter = vmcounter;

								scope.$apply(function(){
		                            scope.$parent.vm.counter = vmcounter;
								});

	                            return this.status() == 'for-user' ? 'for-user' : 'available';

	                        } else if (this.status() == 'unavailable') {
	                            return 'unavailable';
	                        } else {
	                            return this.style();
	                        }
	                    }
	                });
					
					sc.get(seat_plan.blocked_seat).status('unavailable');

        		    sc.get(seat_plan.booked_seat).status('booked');

        		    var log = [];
					angular.forEach(reserved_seat, function(value, key) {
					  	
					  	if(userInfo && parseInt(value.user_id) === userInfo.id){
			                sc.get(value.reserved_seat).status('for-user');
			            }
			            else{
			            	sc.get(value.reserved_seat).status('booked');
			            }

					}, log);
			       load_seat_plan_icon(seat_plan.booked_user_json);
					
					scope.$watch('vm.bookingMap',function(bookingMap){
                    	sc.get(bookingMap).status('booking');

                    	var selected_seat = '';
                    	var seat_no = '';
                    	sc.find('selected').each(function () {
                    		selected_seat += this.settings.id + ",";
	                        seat_no += this.settings.label + ",";
                    	});

                    	var vmcounter = sc.find('selected').length+1;

                    	$rootScope.selected_seat = selected_seat;
						$rootScope.seat_no 		 = seat_no;
						
			       		load_seat_plan_icon(scope.$parent.vm.booked_user_json);
					});

					function load_seat_plan_icon(booked_user_json)
			        {
			            total_seat_count=0;
			        	sc.each(function(value, key){
	        		    	total_seat_count++;
	        		    	if(this.status() == 'unavailable')total_seat_count--;
	        		    	if(this.status() == 'blocked')total_seat_count--;
	        		    	if(this.status() == 'booked')total_seat_count--;
	        		    	if(this.status() == 'booking')total_seat_count--;
	        		    });

	        		    if(total_seat_count == 0){
	                        $(elem[0]['children'][1]).html(scope.$parent.appLang.sold_out_seat+"<br><br>");
	                    }

			            var booked_user_json = JSON.parse(booked_user_json);
			            var female = '<i class="flaticon-femenine"></i>';
			            var male   = '<i class="flaticon-masculine"></i>';
			            var monk   = '<i class="flaticon-praying-hands"></i>';
			            var group  = '<i class="icon ion-ios-people"></i>';
            			// console.log(booked_user_json);
			            for (var i = 0; i < booked_user_json.length; i++) {

			                // alert(booked_user_json[i].passenger_type);    

			                var selected_seat = booked_user_json[i].selected_seat;
			                var all_selected_seat = selected_seat.split(',');
			                
			                for (var j = 0; j < all_selected_seat.length; j++) {

			                    if(all_selected_seat[j]){

			                    	sc.get([all_selected_seat[j]]).status('booked');
			                    	
			                        if(booked_user_json[i].passenger_type == 'female'){
			                            $('#'+all_selected_seat[j]).html(female).attr('data-toggle','tooltip').attr('data-placement','top').attr('title',booked_user_json[i].passenger_type);
			                        }
			                        else if(booked_user_json[i].passenger_type == 'male')
			                        {
			                            $('#'+all_selected_seat[j]).html(male).attr('data-toggle','tooltip').attr('data-placement','top').attr('title',booked_user_json[i].passenger_type);
			                        }
			                        else if(booked_user_json[i].passenger_type == 'monk')
			                        {
			                            $('#'+all_selected_seat[j]).html(monk).attr('data-toggle','tooltip').attr('data-placement','top').attr('title',booked_user_json[i].passenger_type);
			                        }
			                        else
			                        {
			                            $('#'+all_selected_seat[j]).html(group).attr('data-toggle','tooltip').attr('data-placement','top').attr('title',booked_user_json[i].passenger_type);
			                        }
			                    }

			                }
			            }
			        }

		        	$(".seatCharts-legendList li:nth-child(2)" ).remove();
			        $(".seatCharts-legendList > .seatCharts-legendItem > .male" ).html('<i class="flaticon-masculine"></i>');
			        $(".seatCharts-legendList > .seatCharts-legendItem > .female" ).html('<i class="flaticon-femenine"></i>');
			        $(".seatCharts-legendList > .seatCharts-legendItem > .group" ).html('<i class="icon ion-ios-people"></i>');
			        $(".seatCharts-legendList > .seatCharts-legendItem > .monk" ).html('<i class="flaticon-praying-hands"></i>');
		      }
		  };

}]);